[Overview][Types][Classes][Variables][Index] | Reference for unit 'Printers' (#lcl)

# TPrinter.SupportedBins

Names for the Paper Bins supported on the print device.

## Declaration

Source position: printers.pas line 348

`public property TPrinter.SupportedBins : TStrings read GetBins;`

## Description

SupportedBins is a read-only TStrings property which contains the names for the Paper Bins supported on the selected print device. The value for the property is retrieved in the GetBins method by calling DoEnumBins.

Assign a value from SupportedBins to the BinName property to select a specific paper bin.

## See also

TPrinter.GetBins |  | Gets the value for the SupportedBins property.
TPrinter.DoEnumBins |  | Performs action needed to get the Paper Bins for the printer device.
TPrinter.BinName |  | Name of the Paper Bin currently selected for the print device.